Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.getcapabilities
Class WCSGetCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.getcapabilities.GetCapabilities
              org.deegree.ogcwebservices.wcs.getcapabilities.WCSGetCapabilities

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class WCSGetCapabilities

extends GetCapabilities

Each Web Coverage Server must describe its capabilities. This clause defines the structure intended to convey general information about the service itself, and summary information about the available data collections from which coverages may be requested.

An instance of `WCSGetCapabilities` encapsulates a GetCapabilites request against a WCS and offeres two factory methods inherited from `GetCapabilities` for request creation using KVP and one own method for request creation from a DOM object.

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`WCSGetCapabilities(String id, String version, String updateSequence, String[] sections, Map<String,String> vendoreSpec)`

Method Summary
`static GetCapabilities` | `create(Map<String,String> map)` creates a GetCapabilities request from its KVP representation
`static GetCapabilities` | `create(String id, Document doc)` creates a GetCapabilities request from its XML representation
`static GetCapabilities` | `create(String id, String kvp)` creates a GetCapabilities request from its KVP representation
`String` | `getServiceName()` returns WCS as service name

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.GetCapabilities
`getAcceptFormats, getAcceptVersions, getSections, getUpdateSequence`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WCSGetCapabilities

    public WCSGetCapabilities(String id,
                              String version,
                              String updateSequence,
                              String[] sections,
                              Map<String,String> vendoreSpec)

Parameters:
  `id` -
  `version` -
  `updateSequence` -
  `sections` -
  `vendoreSpec` -

Method Detail

### create

    public static GetCapabilities create(String id,
                                         String kvp)
                                  throws OGCWebServiceException,
                                         InvalidParameterValueException,
                                         MissingParameterValueException

  creates a GetCapabilities request from its KVP representation

  Parameters:
    `id` - unique ID of the request
    `kvp` - request
  Returns:
    created `DescribeCoverage`
  Throws:
    `OGCWebServiceException` - will be thrown if something general is wrong
    `InvalidParameterValueException`
    `MissingParameterValueException`

### create

    public static GetCapabilities create(Map<String,String> map)
                                  throws OGCWebServiceException,
                                         InvalidParameterValueException,
                                         MissingParameterValueException

  creates a GetCapabilities request from its KVP representation

  Parameters:
    `map` - request
  Returns:
    created `DescribeCoverage`
  Throws:
    `OGCWebServiceException` - will be thrown if something general is wrong
    `InvalidParameterValueException`
    `MissingParameterValueException`

### create

    public static GetCapabilities create(String id,
                                         Document doc)
                                  throws OGCWebServiceException,
                                         InvalidParameterValueException,
                                         MissingParameterValueException

  creates a GetCapabilities request from its XML representation

  Parameters:
    `id` - unique ID of the request
    `doc` - XML representation of the request
  Returns:
    created `DescribeCoverage`
  Throws:
    `OGCWebServiceException` - will be thrown if something general is wrong
    `InvalidParameterValueException`
    `MissingParameterValueException`

### getServiceName

    public String getServiceName()

  returns WCS as service name

  Returns:
    the name of the service that is targeted by the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org